database_api.list_account_recovery_requests
since HF11
Purpose
계정 복구 요청 목록을 반환합니다. 파라미터: start:string, limit:int, order:string
limit는 최대 1000입니다.order는 다음 중 하나:by_account- 계정 이름 순by_expiration- 만료일 순
| account (string) | limit (int) | order (string) | | |--------------------|-| | "steemit" | 10 | "by_account" | "steemit" 계정의 복구 요청을, 계정 이름 순으로 조회합니다. | | ["1960-01-01T00:00:00"] | 10 | "by_expiration"| 날짜 기준의 복구 요청을, 만료일 순으로 조회합니다. |
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": [
"1960-01-01T00:00:00"
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}